Gecode::CPProfiler Namespace Reference

Code that is specific to the CPProfiler. More...

## Classes

class | Node
class | Connector
class | Option
| Optional value class. More...
struct | NodeUID
| Unique identifier for a node. More...
class | Message
| Message for the CP Profiler. More...
class | MessageMarshalling

## Enumerations

enum | NodeStatus { SOLVED = 0 , FAILED = 1 , BRANCH = 2 , SKIPPED = 3 }
| Types of nodes for CP Profiler. More...
enum class | MsgType { NODE = 0 , DONE = 1 , START = 2 , RESTART = 3 }
| Types of messages for CP Profiler. More...

## Detailed Description

Code that is specific to the CPProfiler.

## Enumeration Type Documentation

## NodeStatus

enum Gecode::CPProfiler::NodeStatus

Types of nodes for CP Profiler.

Enumerator
SOLVED | Node representing a solution.
FAILED | Node representing failure.
BRANCH | Node representing a branch.
SKIPPED | Node skipped by backjumping.

Definition at line 51 of file message.hpp.

## MsgType

enum class Gecode::CPProfiler::MsgType

strong

Types of messages for CP Profiler.

Enumerator
NODE |
DONE |
START |
RESTART |

Definition at line 59 of file message.hpp.